
From: Hiroyuki KAMEZAWA <kamezawa.hiroyu@jp.fujitsu.com>

this patch removes problematic GRANULEROUNDDOWN/GRANULEROUNDUP lines
from 2.6.9-rc4-mm1, arch/ia64m/mm/init.c.

I think aligning memmap patch should be removed now, and be discussed when
it really looks necessary.

Kame <kamezawa.hiroyu@jp.fujitsu.com>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ia64/mm/init.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN arch/ia64/mm/init.c~no-buddy-bitmap-patch-revist-for-ia64-fix arch/ia64/mm/init.c
--- 25/arch/ia64/mm/init.c~no-buddy-bitmap-patch-revist-for-ia64-fix	2004-11-07 22:38:02.320059592 -0800
+++ 25-akpm/arch/ia64/mm/init.c	2004-11-07 22:38:02.325058832 -0800
@@ -409,8 +409,6 @@ virtual_memmap_init (u64 start, u64 end,
 	struct page *map_start, *map_end;
 
 	args = (struct memmap_init_callback_data *) arg;
-	start = GRANULEROUNDDOWN(start);
-	end = GRANULEROUNDUP(end);
 	map_start = vmem_map + (__pa(start) >> PAGE_SHIFT);
 	map_end   = vmem_map + (__pa(end) >> PAGE_SHIFT);
 
_
